header {
  position: relative;
  padding-right: $x * 4 !important;
  padding-left: $x * 4 !important;
  padding-top: $x * 2 !important;
  padding-bottom: $x * 2 !important;
  justify-content: normal !important;

  .menu-container{
    margin-top: $x * 15 !important;
  }

  ul li{
    max-width: 210px;
  }
  .navbar {
    z-index: 10;
    position: relative;
    &.open{
      a, .svg-icon path, .svg-icon defs, .svg-icon, div{
        color: $white !important;
        fill: $white;
        svg {
          fill: $white;
        }
      }
      .svg-icon .cls-1{
        stroke: $white;
      }
    }
    &-nav {
      a{
        color: $darkBlue !important;
        font-size: $font-size-h1;
      }
      a.active{
        font-weight: bold !important;
      }
      a.passive{
        color: $gray !important;
      }
      color: $darkBlue !important;

      .nav-item {
        display: flex !important;
        justify-content: space-evenly;
        align-items: baseline;
      }

      .nav-item +.nav-item::before {
        color: $darkBlue;
        content: " | ";
        vertical-align: -3px;
      }
    }

    &-brand {
      svg {
        width: auto;
        height: $x * 4;
        fill: $darkBlue;
      }
    }

    &.bg {
      &-light {
        background-color: transparent!important;

        .search {
          a {
            i {
              font-size: $font-size-base-text;
            }
          }
        }
      }
    }
  }
  .full-view {
    z-index: 3;
    display: flex;
    justify-content: center;

    .overlay {
      z-index: 2;
    }

    .m-10 {
      z-index: 5;
    }

    .close-nav {
      cursor:pointer;
    }

    .first-level {
      list-style: none;

      svg{
        display: none;
      }

      .main-headline{
        font-size: $font-size-h5;
      }
      .second-level li{
        list-style: none;
        border-bottom: 1px solid $white-light;
        padding-bottom: 5px;
        padding-top: 5px;
      }
      .second-level li a:hover{
        color: $white-light !important;
        transition: 0.2s ease-in;
      }
    }
    .foot-level ul, .foot-level a{
      list-style: none;
      text-decoration: none;
    }
  }
}

.tx-solr-autosuggest {
  width: 32%!important;

  strong {
    color: $orange!important;
  }

  .autocomplete-suggestion {
    cursor: pointer;

    &.autocomplete-selected {
      background: $gradient_5_yellow!important;
    }
  }
}

.tx-solr-q {
  width: $navbar-search-width!important;
}

$searchFormWidth: #{$x * 30};
$searchFormWidthResp: #{($x * 30) / 2};
.tx-solr-search-form {
  height: $x*2;
  z-index: 2;
  width: $searchFormWidth;
  @media (max-width: 992px) {
    width: #{$searchFormWidthResp} !important;
  }
    .form-control{
      border: none !important;
      border-bottom: 1px solid $white !important;
      border-radius: 0 !important;
      background: transparent !important;
    }
    .form-control:focus {
      box-shadow: none !important;
    }
    input.form-control, textarea.form-control, input.form-control:focus, textarea.form-control:focus {
      color: $white !important;
    }
    input::placeholder {
      color: $white;
    }
}




.menu-overlay {
  z-index: 2;
}
.slider-container {
  position: absolute;
  z-index: 1;
  top: 0;
  left: 0;
  width: 100%;
}

.foot-level ul{
  padding-left: 0 !important;
}

@media (max-width: 767px) {
  header{


    .menu-container{
      margin-top: $x * 7 !important;
    }
    padding-right: $x * 2 !important;
    padding-left: $x * 2 !important;
    padding-top: $x * 1 !important;
    padding-bottom: $x * 1 !important;

    #menu-sub-first{
      a, .svg-icon path, .svg-icon defs, .svg-icon, div {
        color: $white !important;
        fill: $white;
      }
      li:first-child a{
        padding-left: 0 !important;
      }

      .svg-icon .cls-1 {
        stroke: $white;
      }
    }


    .full-view{
      justify-content: end;
    }
    .second-level{
      border-top: 1px solid $white-light;
      li {
        border-bottom: none !important;
        border-top: none;
        padding-top: 0 !important;
        padding-bottom: 0 !important;
      }
      a{
        font-size: $font-size-h8;
      }
    }
  }

  .foot-level{
    .foot-level-ul div{
      margin-left: 4px;
      margin-right: 4px;
    }
    a{
      font-size: $font-size-h1;
    }
  }

  .main-headline.active{
    color: $white-light !important;
  }

  .first-level li{
    padding-bottom: 5px;
    padding-top: 5px;
    border-bottom: 1px solid $white-light;
  }
  .first-level li{
    min-width: $x * 18;
  }
  .first-level svg{
    display: block !important;
    fill: $white;
    color: $white;
  }
}

.search {
  svg {
    fill: $darkBlue;
    width: $x*2;
    height: auto
  }
}

.submenu-icon-with-svg {
  svg {
    fill: $darkBlue;
    width: $x*4;
    height: auto
  }
  &-close {
    svg {
      fill: $white;
      width: $x*2;
      height: auto;
    }
  }
}

